<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Fri Jan 15 11:04:43 CET 2021 -->
<title>EpisodeServiceImpl</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-01-15">
<meta name="description" content="declaration: package: fr.humanbooster.fx.gestion_de_series.service.impl, class: EpisodeServiceImpl">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/EpisodeServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.humanbooster.fx.gestion_de_series.service.impl</a></div>
<h1 title="Class EpisodeServiceImpl" class="title">Class EpisodeServiceImpl</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.humanbooster.fx.gestion_de_series.service.impl.EpisodeServiceImpl</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../EpisodeService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">EpisodeService</a></code></dd>
</dl>
<hr>
<pre>public class <span class="type-name-label">EpisodeServiceImpl</span>
extends java.lang.Object
implements <a href="../EpisodeService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">EpisodeService</a></pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">EpisodeServiceImpl</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code><a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#ajouterEpisode(fr.humanbooster.fx.gestion_de_series.business.Saison,java.lang.String,int,java.util.Date)">ajouterEpisode</a></span>&#8203;(<a href="../../business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a>&nbsp;saison,
java.lang.String&nbsp;nom,
int&nbsp;dureeEnMinutes,
java.util.Date&nbsp;dateAjout)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code><a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#recupererEpisode(java.lang.Long)">recupererEpisode</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>java.util.List&lt;<a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#recupererEpisodes()">recupererEpisodes</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>java.util.List&lt;<a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#recupererEpisodes(fr.humanbooster.fx.gestion_de_series.business.Saison)">recupererEpisodes</a></span>&#8203;(<a href="../../business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a>&nbsp;saison)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>java.util.List&lt;<a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#recupererEpisodes(java.util.Date,java.util.Date)">recupererEpisodes</a></span>&#8203;(java.util.Date&nbsp;dateDebut,
java.util.Date&nbsp;dateFin)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#supprimerEpisode(java.lang.Long)">supprimerEpisode</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>EpisodeServiceImpl</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">EpisodeServiceImpl</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="ajouterEpisode(fr.humanbooster.fx.gestion_de_series.business.Saison,java.lang.String,int,java.util.Date)">
<h3>ajouterEpisode</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a></span>&nbsp;<span class="member-name">ajouterEpisode</span>&#8203;(<span class="parameters"><a href="../../business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a>&nbsp;saison,
java.lang.String&nbsp;nom,
int&nbsp;dureeEnMinutes,
java.util.Date&nbsp;dateAjout)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../EpisodeService.html#ajouterEpisode(fr.humanbooster.fx.gestion_de_series.business.Saison,java.lang.String,int,java.util.Date)">ajouterEpisode</a></code>&nbsp;in interface&nbsp;<code><a href="../EpisodeService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">EpisodeService</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="recupererEpisodes()">
<h3>recupererEpisodes</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a>&gt;</span>&nbsp;<span class="member-name">recupererEpisodes</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../EpisodeService.html#recupererEpisodes()">recupererEpisodes</a></code>&nbsp;in interface&nbsp;<code><a href="../EpisodeService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">EpisodeService</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="recupererEpisode(java.lang.Long)">
<h3>recupererEpisode</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a></span>&nbsp;<span class="member-name">recupererEpisode</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;id)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../EpisodeService.html#recupererEpisode(java.lang.Long)">recupererEpisode</a></code>&nbsp;in interface&nbsp;<code><a href="../EpisodeService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">EpisodeService</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="recupererEpisodes(fr.humanbooster.fx.gestion_de_series.business.Saison)">
<h3>recupererEpisodes</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a>&gt;</span>&nbsp;<span class="member-name">recupererEpisodes</span>&#8203;(<span class="parameters"><a href="../../business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a>&nbsp;saison)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../EpisodeService.html#recupererEpisodes(fr.humanbooster.fx.gestion_de_series.business.Saison)">recupererEpisodes</a></code>&nbsp;in interface&nbsp;<code><a href="../EpisodeService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">EpisodeService</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="recupererEpisodes(java.util.Date,java.util.Date)">
<h3>recupererEpisodes</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="../../business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a>&gt;</span>&nbsp;<span class="member-name">recupererEpisodes</span>&#8203;(<span class="parameters">java.util.Date&nbsp;dateDebut,
java.util.Date&nbsp;dateFin)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../EpisodeService.html#recupererEpisodes(java.util.Date,java.util.Date)">recupererEpisodes</a></code>&nbsp;in interface&nbsp;<code><a href="../EpisodeService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">EpisodeService</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="supprimerEpisode(java.lang.Long)">
<h3>supprimerEpisode</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">supprimerEpisode</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;id)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../EpisodeService.html#supprimerEpisode(java.lang.Long)">supprimerEpisode</a></code>&nbsp;in interface&nbsp;<code><a href="../EpisodeService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">EpisodeService</a></code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/EpisodeServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
